#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#import "EcomFlutterPlugin.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(action:) name:@"XMEcomFlutterPluginMessageNotification" object:nil];
  // Override point for customization after application launch.
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

- (void)action:(NSNotification *)notice{
//    - (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    FlutterMethodCall *call = notice.object[kFlutterMethodCall];
    FlutterResult result = notice.object[kFlutterMethodCallResult];
    NSLog(@"🇭🇰🇭🇰🇭🇰接收到Flutter消息：");
    NSLog(@"🇭🇰🇭🇰🇭🇰方法名：%@",call.method);
    NSLog(@"🇭🇰🇭🇰🇭🇰参数：%@",call.arguments);
    result(@"🌈我是原生端传过来的🌈");
    
    //给Flutter发个消息
    NSLog(@"⚠️给Flutter发个消息⚠️");
    [EcomFlutterPlugin invokeMethod:@"iOSToFlutter" arguments:@"我是iOS发给Flutter的消息额" result:^(id  _Nullable result) {
        NSLog(@"iOS主动发给Flutter消息后，收到的回参：%@",result);
    }];
    
}
@end
