#import "EcomFlutterPlugin.h"

//通过这个消息转发
NSNotificationName const XMEcomFlutterPluginMessageNotification = @"XMEcomFlutterPluginMessageNotification";
NSString * const kFlutterMethodCall = @"call";
NSString * const kFlutterMethodCallResult = @"result";
static FlutterMethodChannel* xmFlutterChannel;
@implementation EcomFlutterPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  xmFlutterChannel = [FlutterMethodChannel
      methodChannelWithName:@"ecom_flutter_plugin"
            binaryMessenger:[registrar messenger]];
  EcomFlutterPlugin* instance = [[EcomFlutterPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:xmFlutterChannel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  [[NSNotificationCenter defaultCenter] postNotificationName:XMEcomFlutterPluginMessageNotification object:@{@"call":call,@"result":result}];
}

+ (void)invokeMethod:(NSString*)method
           arguments:(id _Nullable)arguments
              result:(FlutterResult _Nullable)callback{
    [xmFlutterChannel invokeMethod:method arguments:arguments result:callback];
}
@end
