
import 'dart:async';

import 'package:flutter/services.dart';

class EcomFlutterPlugin {

  static EcomFlutterPlugin? _instance;

  final MethodChannel _channel;

  // final _receiveMessage = StreamController<dynamic>.broadcast();

  factory EcomFlutterPlugin() {
    if (_instance == null) {
      const MethodChannel methodChannel = MethodChannel("ecom_flutter_plugin");
      _instance = EcomFlutterPlugin.private(methodChannel);
    }
    return _instance!;
  }

  EcomFlutterPlugin.private(this._channel) {
    // _channel.setMethodCallHandler(_handleMessages);  
  }

  void setMethodCallHandler(Future<dynamic> Function(MethodCall call)? handler){
    _channel.setMethodCallHandler(handler);  
  }

  //发送消息
   Future <dynamic> postToNative(action,parame) async{
    final dynamic data = await _channel.invokeMethod(action,parame);
    return data;
  }

  //接受消息
  Future<dynamic> _handleMessages(MethodCall call) async {//将这个方法直接抛出去，给外边实现
    // _receiveMessage.add(call);
    return null;
  }
}
