import 'package:ecom_flutter_plugin/ecom_flutter_plugin.dart';
import 'dart:async';
import 'package:flutter/services.dart';

class NativeMessage {
  static EcomFlutterPlugin plugin = EcomFlutterPlugin();
  static initPlugin() {
    plugin.setMethodCallHandler(_handleMessages);
  }

  //发送消息
  static Future<dynamic> postToNative(action, parame) async {
    final dynamic data = await EcomFlutterPlugin().postToNative(action, parame);
    return data;
  }

  //接受消息
  static Future<dynamic> _handleMessages(MethodCall call) async {
    switch (call.method) {
      case "showSkuPop":
      var d = 0;
      d++;
    }
    // ignore: avoid_print
    print("🇨🇳🇨🇳🇨🇳接收到原生信息");
    // ignore: avoid_print
    print("🇨🇳🇨🇳🇨🇳方法名：" + call.method);
    // ignore: avoid_print
    print("🇨🇳🇨🇳🇨🇳参数" + call.arguments);
    return {
      "arguments": {"data": "我是Flutter回传参数"},
      "method": call.method
    };
  }
}
